@import 'node_modules/@angular/material/theming';
@import 'src/colors';
@import 'src/typography';
@import "src/app/app.component";

.event-content-padding {
  padding: 20px;
  display: flex;
  flex-flow: row wrap;
  height: 100%;
  width: 100%;

  //a really fancy way of saying "calc(100% - $header-height), but necessary because of Sass.
  min-height: unquote("calc(100% - #{$header-height})");

  overflow-y: auto;
}

@media only screen and (min-width: 480px) {
  .event-content-padding {
    height: 100vh - $header-height;
    padding: 20px 15vw;
    display: flex;
    flex-flow: row wrap;
    width: 100%;
  }
}

.separator {
  display: none;
}

.left-content {
  @include mat-elevation(2);
  border-radius: 4px;
  padding: 15px;
  width: 100%;

  display: flex;
  flex-flow: column nowrap;
  justify-content: space-between;

  .event-header {
    button {
      float: right;

      // resize simple mat-icon-button
      width: 24px;
      height: 24px;
      line-height: 24px;
    }

    .event-title {
      font-size: 1.5em;
      font-weight: 500;
      width: 100%;

      /*text-overflow: ellipsis;
      overflow: hidden;
      white-space: nowrap;*/
    }
  }

  .event-status {
    margin-top: 5px;
    font-weight: bold;

    display: flex;
    flex-flow: row wrap;
    align-items: center;

    span {
      margin-right: 10px;
    }
  }

  .event-extras {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;

    margin-top: 5px;
    margin-bottom: 10px;

    @include monospace-detail;

    .event-details {
      flex-grow: 5;

      display: flex;
      flex-flow: column nowrap;

      div {
        margin-top: 5px;
      }

      // HACK: magic values!
      color: grey;
    }

    .event-voting-buttons {
      display: flex;
      justify-content: center;
    }

    button[mat-raised-button] {
      line-height: 1.5em;
      display: block;
      margin: 5px 0;
      flex-basis: 100%;
    }
  }



  .event-description {
    margin: 10px 5px;

  }

  .event-photos {
    flex-grow: 5;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;

    .event-photo {
      display: flex;
      justify-content: center;
      align-items: center;
      height: 100%;

      img {
        object-fit: contain;
        width: 100%;
        height: 100%;
      }
    }
  }
}

.right-content {
  padding: 15px;

  display: flex;
  flex-flow: column;
  justify-content: flex-start;
  align-items: stretch;
  width: 100%;

  .event-map {
    border: none;
    margin-bottom: 10px;
    min-height: 30vh;
  }

  .event-comments-header {
    font-size: 1.5em;
    font-weight: 500;
    margin-bottom: 10px;
  }

  .event-comments {
    flex-grow: 2;
    height: 30vh;
    overflow-y: auto;
  }

  .event-comment-input {
    display: flex;
    align-items: center;

    margin-top: 5px;

    mat-form-field {
      width: 100%;

      // HACK: ::ng-deep is deprecated!!!
      ::ng-deep .mat-form-field-wrapper {
        padding-bottom: 0 !important;
      }

      textarea {
        height: 25px;
      }

      mat-hint {
        margin-top: 1.5em;
      }
    }

    .event-comment-input-buttons {
      margin-top: 0.5em;
      text-align: end;
    }
  }
}

$separatorWidth: 1%;
$contentWidth: (100% - $separatorWidth) / 2;
@media only screen and (min-width: 721px) {
  .left-content {
    height: 100%;
    width: $contentWidth;
    overflow-y: auto;

    .event-details {
      display: flex;
      flex-flow: row wrap;
      justify-content: space-between;

      div {
        margin: revert;
      }
    }
  }

  .separator {
    display: block;
    height: 100%;
    width: $separatorWidth;
  }

  .right-content {
    height: 100%;
    width: $contentWidth;
    overflow-y: auto;
  }
}
